Skip to main content
Back to API List Use this API to retrieve exported data — one of skillGroups, Queues, StandardResponses, or Waiting Experience — by providing account ID and org ID.
MethodGET
Endpointhttps://{{host}}/agentassist/api/v1/public/analytics/{{botId}}/retrieveSmartAssistFunctionalities?accountId={{accountId}}&orgId={{orgId}}&type=skillGroups
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Import and Export Feature

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
botIdbotId or streamId. You can get it from the App Settings page.string, required

Query Parameters

ParameterDescriptionType
accountIdThe account ID associated with the API request.string, required
orgIdThe unique identifier of the organization.string, required
typeType of entity to retrieve. For example, skillGroups.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/analytics/{{botId}}/retrieveSmartAssistFunctionalities?accountId={{accountId}}&orgId={{orgId}}&type=skillGroups' \
--header 'auth: <YOUR_AUTH_TOKEN>' \
--header 'accountId: {{accountId}}'

Request Header Parameters

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
accountIdThe account ID associated with the API request.required

Sample Response

[
   {
       "_id": "6656d350463a7e1fc890xxxx",
       "name": "Default SkillGroup",
       "description": "Default SkillGroup(Auto Created).",
       "status": "ACTIVE",
       "color": "#D2000D",
       "skills": [
           {
               "_id": "6656d350463a7e1fc890xxxx",
               "name": "Default Skill",
               "isDefault": true,
               "description": "Default Skill(Auto Created).",
               "status": "ACTIVE",
               "lname": "default skill",
               "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
               "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
           }
       ],
       "lname": "default skillgroup",
       "isDefault": true,
       "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
       "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx",
       "agentGroups": [],
       "agents": []
   },
   {
       "_id": "667da4e5a5b993156876xxxx",
       "name": "AccountType",
       "description": "AccountType",
       "status": "ACTIVE",
       "color": "#09A624",
       "skills": [
           {
               "_id": "667da4f0a5b993156876xxxx",
               "name": "Salary",
               "isDefault": false,
               "description": "Salary",
               "status": "ACTIVE",
               "agents": [],
               "lname": "salary",
               "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
               "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
           },
           {
               "_id": "667da4fb23ec62f9d6a4xxxx",
               "name": "Saving",
               "isDefault": false,
               "description": "Saving",
               "status": "ACTIVE",
               "agents": [],
               "lname": "saving",
               "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
               "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
           },
           {
               "_id": "667da50523ec62f9d6a4xxxx",
               "name": "Checking",
               "isDefault": false,
               "description": "Checking",
               "status": "ACTIVE",
               "agents": [],
               "lname": "checking",
               "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
               "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx"
           }
       ],
       "lname": "accounttype",
       "isDefault": false,
       "iId": "st-d76e4023-ba1e-52af-a144-248e92c4xxxx",
       "createdByAId": "a-2b5231b-2c32-4b6e-8b02-27118eb1xxxx",
       "agentGroups": [],
       "agents": []
   }
]

Response Body Parameters

ParameterDescriptionType
_idUnique identifier for the SkillGroup.string, required
nameDisplay name of the SkillGroup.string, required
descriptionDescription of the SkillGroup.string, optional
statusStatus of the SkillGroup (ACTIVE, INACTIVE).string, required
colorHex code representing the SkillGroup’s UI color.string, optional
lnameLowercase version of the SkillGroup name.string, optional
isDefaultIndicates if this is the default SkillGroup.boolean, required
iIdStream or application ID. For example: st-e19dd469-90f5-5655-b0b2-858de901xxxx.string, required
createdByAIdID of the agent or user who created the SkillGroup.string, required
agentGroupsList of associated agent group IDs.array, optional
agentsList of associated agent IDs.array, optional
skillsArray of Skill objects.array, optional
skills[]._idUnique identifier for the Skill.string, required
skills[].nameDisplay name of the Skill.string, required
skills[].isDefaultIndicates if this is the default Skill.boolean, required
skills[].descriptionDescription of the Skill.string, optional
skills[].statusStatus of the Skill (ACTIVE, INACTIVE).string, required
skills[].lnameLowercase version of the Skill name.string, optional
skills[].iIdStream or application ID associated with the Skill.string, required
skills[].createdByAIdID of the agent or user who created the Skill.string, required
skills[].agentsList of associated agent IDs.array, optional